{
  num: -356032,
  accuracy: 100,
  basePower: 0,
  category: "Status",
  name: "Frozen Kiss",
  pp: 3,
  priority: 0,
  flags: { protect: 1, reflectable: 1, mirror: 1, metronome: 1 },
  onHit(target, source) {
    
    target.cureStatus();

    
    target.removeVolatile('confusion');

    
    const froze = target.setStatus('frz', source);

    
    target.addVolatile('confusion');

    
    
    

    return true;
  },
  secondary: null,
  target: "normal",
  type: "Ice"
}